@rem = ' This is a perl script for NT, make sure ccperl is in your path
@echo off
rem # first this runs as a batch script then re-invokes itself in perl
rem
rem

rem #so this script can be invoked from "cmd" or "sh" with or without .cmd
set my_cmd=%0%
if not exist %my_cmd% set my_cmd=%my_cmd%.cmd

ccperl %my_cmd% %1 %2 %3 %4 %5 %6 %7 %8 %9

set my_cmd=

goto endofperl
@rem ';
######################## perl script starts here #######################

if ( @ARGV != 1 || $ARGV[0] =~ m@help@i ) {
    die "Usage: $0 old_nt_region \n";
}
$nt_region	= $ARGV[0];

print "Copying VOB tags from region: $nt_region\n\n";
open(LSVOB, "cleartool lsvob -reg $nt_region|") ||
    die "Error: Can't get list of VOBs: $! \n";

while (<LSVOB>) {

    next unless m@\\\\@;
    chop;

    print "Making VOB tag: $_ \n";

    $password_string = "";
    if ( m@public$@ ) {
	# remove 'public' from the end of the string
	s@ *public$@@;
	unless ($password) {
	    print "Enter Vob tag registry password: ";
	    $password = <STDIN> ;
	}
	$password_string = "-public -password $password";
    } elsif ( m@private@ ) {
	# remove 'private'from the end off the string
	s@ *private$@@;
    }

    $out = `cleartool mktag -rep -vob $password_string -tag $_ `;
    print "$out";

}
close(LSVOB);

print "Copying view tags from region: $nt_region\n\n";
open(LSVIEW, "cleartool lsview -reg $nt_region|") ||
    die "Error: Can't get list of views: $! \n";

while (<LSVIEW>) {

    next unless m@\\\\@;
    chop;

    print "Making view tag: $_ \n";
    $out = `cleartool mktag -rep -nstart -view -tag $_ `;
    print "$out";

}
close (LSVIEW);

__END__
:endofperl
